BatchGetIntegrations
curl --request POST \
--url https://developer.synq.io/api/integrations/v1/by-id \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"integrationIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://developer.synq.io/api/integrations/v1/by-id"
payload = { "integrationIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({integrationIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://developer.synq.io/api/integrations/v1/by-id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"integrations": {}
}synq.integrations.v1.IntegrationsService
BatchGetIntegrations
Fetch multiple integrations by id in one call. Ids not found (or not in the workspace) are omitted from the response rather than erroring.
POST
/
api
/
integrations
/
v1
/
by-id
BatchGetIntegrations
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request to fetch multiple integrations by id.
Integration ids (UUIDs). Unknown ids are omitted from the response.
Required array length:
1 - 500 elementsResponse
200 - application/json
Success
Response with the requested integrations.
The integrations that were found, keyed by integration id. Requested ids that do not exist are absent from the map.
Show child attributes
Show child attributes
⌘I